### Class

# Camel OfflineFolder

#### Description

    class Camel.OfflineFolder : Camel.Folder
    {
      CamelOfflineFolderPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelFolder
- GObject

#### Instance methods

###### camel_offline_folder_can_downsync

Checks whether the `folder` can run downsync according to its settings (camel_offline_folder_get_offline_sync()) and to the parent’s `CamelOfflineStore` settings (camel_offline_settings_get_stay_synchronized()).

since: 3.22

###### camel_offline_folder_downsync

Synchronizes messages in `folder` described by the search `expression` to the local machine asynchronously for offline availability.

since: 3.0

###### camel_offline_folder_downsync_finish

Finishes the operation started with camel_offline_folder_downsync().

since: 3.0

###### camel_offline_folder_downsync_sync

Synchronizes messages in `folder` described by the search `expression` to the local machine for offline availability.

since: 3.0

###### camel_offline_folder_get_offline_sync

No description available.

since: 2.32

###### camel_offline_folder_set_offline_sync

The `CAMEL_THREE_STATE_INCONSISTENT` means what the parent store has set.

since: 2.32

##### Methods inherited from CamelFolder (77)

Please see CamelFolder for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Camel.OfflineFolder:offline-sync

Copy folder content locally for offline operation.

##### Properties inherited from CamelFolder (6)

###### Camel.Folder:description

The folder’s description.

###### Camel.Folder:display-name

The folder’s display name.

###### Camel.Folder:full-name

The folder’s fully qualified name.

###### Camel.Folder:mark-seen

A `CamelThreeState` persistent option of the folder, which can override global option to mark messages as seen after certain interval.

since: 3.32

###### Camel.Folder:mark-seen-timeout

Timeout in milliseconds for marking messages as seen.

since: 3.32

###### Camel.Folder:parent-store

The `CamelStore` to which the folder belongs.

#### Signals

##### Signals inherited from CamelFolder (3)

###### CamelFolder::changed

No description available.

###### CamelFolder::deleted

No description available.

###### CamelFolder::renamed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelOfflineFolderClass {
      CamelFolderClass parent_class;
      gboolean (* downsync_sync) (
        CamelOfflineFolder* folder,
        const gchar* expression,
        GCancellable* cancellable,
        GError** error
      );
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelFolderClass`

  No description available.

`downsync_sync: gboolean (* downsync_sync) ( CamelOfflineFolder* folder, const gchar* expression, GCancellable* cancellable, GError** error )`

  No description available.

`reserved: gpointer`

  No description available.

#### Virtual methods

###### Camel.OfflineFolderClass.downsync_sync

Synchronizes messages in `folder` described by the search `expression` to the local machine for offline availability.

since: 3.0